=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2011-12-14 23:43:20 +0000
+++ bzrlib/branch.py	2011-12-16 16:18:05 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-import bzrlib.bzrdir
-
 from cStringIO import StringIO
 
 from bzrlib.lazy_import import lazy_import
@@ -46,6 +44,10 @@
 from bzrlib.i18n import gettext, ngettext
 """)
 
+# Explicitly import bzrlib.bzrdir so that the BzrProber
+# is guaranteed to be registered.
+import bzrlib.bzrdir
+
 from bzrlib import (
     controldir,
     )

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2011-12-14 14:09:47 +0000
+++ bzrlib/repository.py	2011-12-16 16:18:05 +0000
@@ -20,7 +20,6 @@
 import time
 
 from bzrlib import (
-    bzrdir,
     config,
     controldir,
     debug,
@@ -39,6 +38,7 @@
 """)
 
 from bzrlib import (
+    bzrdir,
     errors,
     registry,
     symbol_versioning,

=== modified file 'bzrlib/workingtree.py'
--- bzrlib/workingtree.py	2011-12-14 15:53:59 +0000
+++ bzrlib/workingtree.py	2011-12-16 16:18:05 +0000
@@ -69,6 +69,10 @@
     )
 """)
 
+# Explicitly import bzrlib.bzrdir so that the BzrProber
+# is guaranteed to be registered.
+import bzrlib.bzrdir
+
 from bzrlib import symbol_versioning
 from bzrlib.decorators import needs_read_lock, needs_write_lock
 from bzrlib.i18n import gettext

=== modified file 'doc/en/release-notes/bzr-2.5.txt'
--- doc/en/release-notes/bzr-2.5.txt	2011-12-15 14:47:22 +0000
+++ doc/en/release-notes/bzr-2.5.txt	2011-12-16 16:18:05 +0000
@@ -67,6 +67,9 @@
 * Properly ignore '\n' in an option reference since this cannot be part of a
   config option identifier. (Vincent Ladeuil, #902125)
 
+* Make sure that the bzr probers are always registered when
+  bzrlib.workingtree is imported. (Jelmer Vernooij, #905218)
+
 * Report mistake trying to move a removed file with a non-ascii name without
   UnicodeEncodeError being raised. (Martin Packman, #898541)
 

